Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.custom.convertboolean
Class ConvertBooleanTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.faces.webapp.ConverterTag
              org.apache.myfaces.custom.convertboolean.ConvertBooleanTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class ConvertBooleanTag
extends javax.faces.webapp.ConverterTag

A tag that invokes the `BooleanConverter` and lets the developer specify the desired values for a boolean true or false.

Example: ``

Author:
  Ken Weiner
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ConvertBooleanTag()`

Method Summary
`protected javax.faces.convert.Converter` | `createConverter()`
`java.lang.String` | `getFalseValue()`
`java.lang.String` | `getTrueValue()`
`void` | `setFalseValue(java.lang.String falseValue)`
`void` | `setPageContext(javax.servlet.jsp.PageContext context)`
`void` | `setTrueValue(java.lang.String trueValue)`

Methods inherited from class javax.faces.webapp.ConverterTag
`doStartTag, release, setConverterId`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConvertBooleanTag

    public ConvertBooleanTag()

Method Detail

### getFalseValue

    public java.lang.String getFalseValue()

### setFalseValue

    public void setFalseValue(java.lang.String falseValue)

### getTrueValue

    public java.lang.String getTrueValue()

### setTrueValue

    public void setTrueValue(java.lang.String trueValue)

### setPageContext

    public void setPageContext(javax.servlet.jsp.PageContext context)

### createConverter

    protected javax.faces.convert.Converter createConverter()
                                                     throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD